package com.xinelu.manage.domain.basedietinfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 饮食知识库对象 base_diet_info
 *
 * @author xinelu
 * @date 2024-05-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "饮食知识库对象", description = "base_diet_info")
public class BaseDietInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 饮食建议名称
     */
    @ApiModelProperty(value = "饮食建议名称")
    @Excel(name = "饮食建议名称")
    private String dietName;

    /**
     * 饮食原则
     */
    @ApiModelProperty(value = "饮食原则")
    @Excel(name = "饮食原则")
    private String dietPrinciple;

    /**
     * 主食推荐
     */
    @ApiModelProperty(value = "主食推荐")
    @Excel(name = "主食推荐")
    private String mainFood;

    /**
     * 蔬菜推荐
     */
    @ApiModelProperty(value = "蔬菜推荐")
    @Excel(name = "蔬菜推荐")
    private String vegetable;

    /**
     * 水果推荐
     */
    @ApiModelProperty(value = "水果推荐")
    @Excel(name = "水果推荐")
    private String fruit;

    /**
     * 肉类推荐
     */
    @ApiModelProperty(value = "肉类推荐")
    @Excel(name = "肉类推荐")
    private String meat;

    /**
     * 饮食说明
     */
    @ApiModelProperty(value = "饮食说明")
    @Excel(name = "饮食说明")
    private String dietRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dietName", getDietName())
                .append("dietPrinciple", getDietPrinciple())
                .append("mainFood", getMainFood())
                .append("vegetable", getVegetable())
                .append("fruit", getFruit())
                .append("meat", getMeat())
                .append("dietRemark", getDietRemark())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
